Rename a private subnet
curl --request POST \
--url https://api.ubicloud.com/project/{project_id}/location/{location}/private-subnet/{private_subnet_reference}/rename \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.ubicloud.com/project/{project_id}/location/{location}/private-subnet/{private_subnet_reference}/rename"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.ubicloud.com/project/{project_id}/location/{location}/private-subnet/{private_subnet_reference}/rename', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"firewalls": [
{
"description": "<string>",
"firewall_rules": [
{
"cidr": "<string>",
"id": "fraz0q3vbrpa7pkg7zbmah9csn",
"port_range": "<string>",
"description": "<string>"
}
],
"id": "fwfg7td83em22qfw9pq5xyfqb7",
"location": "<string>",
"name": "<string>"
}
],
"id": "ps3dngttwvje2kmr2sn8x12x4r",
"location": "<string>",
"name": "<string>",
"net4": "<string>",
"net6": "<string>",
"nics": [
{
"id": "<string>",
"name": "<string>",
"private_ipv4": "127.0.0.1",
"private_ipv6": "2606:4700:3108::ac42:2835",
"vm_name": "<string>"
}
],
"state": "<string>"
}{
"error": {
"code": 401,
"message": "There was an error logging in",
"type": "InvalidCredentials",
"details": {}
}
}Private Subnet
Rename a private subnet
POST
/
project
/
{project_id}
/
location
/
{location}
/
private-subnet
/
{private_subnet_reference}
/
rename
Rename a private subnet
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the project
Pattern:
^pj[0-9a-hj-km-np-tv-z]{24}$Example:
"pjkkmx0f2vke4h36nk9cm8v8q0"
The Ubicloud location/region
Example:
"eu-central-h1"
Private subnet ID or name Resource ID or name
Pattern:
^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$Body
application/json
New name for private subnet
Response
A Private Subnet
Show child attributes
Show child attributes
ID of the subnet
Pattern:
^ps[0-9a-hj-km-np-tv-z]{24}$Example:
"ps3dngttwvje2kmr2sn8x12x4r"
Location of the subnet
Name of the subnet
IPv4 CIDR of the subnet
IPv6 CIDR of the subnet
List of NICs
Show child attributes
Show child attributes
State of the subnet
⌘I